import os

from gi.repository import Gtk
from gi.repository import Gdk

from sugar3.graphics import style
from sugar3.graphics.icon import Icon
from sugar3.graphics.icon import EventIcon
from sugar3.graphics.palette import Palette
from sugar3.graphics.menuitem import MenuItem

def _destroy_cb(widget, data=None):
    Gtk.main_quit()

def __enter_notify_event_cb(button, event):
    print 'enter event.mode=', event.mode

def __leave_notify_event_cb(button, event):
    print 'leave event.mode=', event.mode

def __button_press_event_cb(button, event):
    print 'press event.button=', event.button

def __button_release_event_cb(button, event):
    print 'release event.button=', event.button

settings = Gtk.Settings.get_default()
sugar_theme = 'sugar-72'
if 'SUGAR_SCALING' in os.environ:
    if os.environ['SUGAR_SCALING'] == '100':
        sugar_theme = 'sugar-100'
settings.set_property('gtk-theme-name', sugar_theme)
settings.set_property('gtk-icon-theme-name', 'sugar')

window = Gtk.Window()
window.set_default_size(800, 640)
window.connect("destroy", _destroy_cb)

fixed = Gtk.Fixed()
window.add(fixed)
fixed.show()


icon2 = EventIcon(icon_name='computer-xo')
fixed.put(icon2, 90, 90)
icon2.show()

icon2.connect('enter-notify-event',
              __enter_notify_event_cb)
icon2.connect('leave-notify-event',
               __leave_notify_event_cb)
icon2.connect('button-press-event',
             __button_press_event_cb)
icon2.connect('button-release-event',
              __button_release_event_cb)

palette_icon = Icon(icon_name='computer-xo',
                    pixel_size=style.STANDARD_ICON_SIZE)
icon2.props.palette = Palette('test', icon=palette_icon)
icon2.props.palette_invoker.props.toggle_palette = True
vbox_menu = Gtk.VBox()
label = Gtk.Button('Click me')
vbox_menu.add(label)
icon2.props.palette.set_content(vbox_menu)
vbox_menu.show_all()

window.show()
Gtk.main()
